eppclient(8)

NAME
eppclient - OpenDNSSEC EPP plugin

SYNOPSIS
eppclient

DESCRIPTION
eppclientd is a plugin for the OpenDNSSEC software. It performs key updates to registries using the EPP protocol. eppclientd reads DNSKEY RR lines from stdin. The format is: <zone> <ttl> <class> <type> DNSKEY <flags> <protocol> <algorithm> <public key> All lines must be for the same zone. See RFC 4034 for details.

NOTE
If you send new keys for a zone which has a transfer pending (its' keys have not yet successfully been transferred), then eppclient will remove the pending keys and only transfer the new.

FILES

@EPPCLIENTD_CONF@
    See eppclientd.conf(5) for details.

@EPPCLIENTD_PIPE@
    A named pipe used to communicate between eppclient and eppclientd. The location of this file is specified in the configuration file.

SEE ALSO
eppclientd(8), eppclientd.conf(5), RFC 4034

AUTHOR
Written by Björn Stenberg as part of the OpenDNSSEC project.